## libpam-ufpidentity 1.0

=== Makefile ===
CC?=gcc
ODIR=.
LIBS=-lpam -lufpidentity
LIBDIR?=$(PREFIX)/lib

_OBJ = pam_ufpidentity.o
OBJ = $(patsubst %,$(ODIR)/%,$(_OBJ))

$(ODIR)/%.o: %.c $(DEPS)
	$(CC) -fPIC -c -o $@ $< $(CPPFLAGS) $(CFLAGS)

pam_ufpidentity.so: $(OBJ)
	gcc -shared -Wl,-soname,$@ -o $@ $^ $(LIBS) -Wl,-z,defs $(LDFLAGS)

.PHONY: clean

clean:
	rm -f $(ODIR)/*.o *~ core $(INCDIR)/*~ pam_ufpidentity.so

install: pam_ufpidentity.so
	mkdir -p $(DESTDIR)$(LIBDIR)/security
	install -m 644 pam_ufpidentity.so $(DESTDIR)$(LIBDIR)/security

=== debian/changelog ===
libpam-ufpidentity (1.0-1build2) noble; urgency=high

  * No change rebuild against libufpidentity1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:00:13 +0200

libpam-ufpidentity (1.0-1build1) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:43:03 +0000

libpam-ufpidentity (1.0-1) unstable; urgency=low

  * Initial release (Closes: #813073)

 -- Richard Levenberg <richardl@ufp.com>  Thu, 10 Mar 2016 20:36:47 +0000

=== debian/control ===
Source: libpam-ufpidentity
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Richard Levenberg <richardl@ufp.com>
Build-Depends: debhelper (>= 9), libpam-dev, libufpidentity-dev, libssl-dev
Standards-Version: 3.9.7
Homepage: https://github.com/ufpidentity/pam_ufpidentity
Vcs-Git: https://git.debian.org/collab-maint/libpamufpidentity.git
Vcs-Browser: https://git.debian.org/?p=collab-maint/libpamufpidentity.git

Package: libpam-ufpidentity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM library for UFP identity 
 The UFP Identity PAM module provides integration of the UFP Identity
 service into your existing user authentication infrastructure. PAM is
 used by Linux/BSD, Solaris and Mac OS X for user authentication to
 various services such as SSH, login, and sudo. 
 See https://github.com/ufpidentity/pam_ufpidentity/blob/master/README.md
 for details about installation.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pam_ufpidentity-$1\.tar\.gz/ \
  https://github.com/ufpidentity/pam_ufpidentity/tags .*/v?(\d\S*)\.tar\.gz
